Summary: C library for the MaxMind DB file format
Name: libmaxminddb
Version: 1.6.0
Release: 3%{?dist}
License: ASL 2.0 and BSD
URL: https://maxmind.github.io/libmaxminddb
Source0: https://github.com/maxmind/libmaxminddb/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  perl-interpreter perl(FindBin)

%description
The package contains libmaxminddb library.

%package devel
Summary: Development header files for libmaxminddb
Requires: libmaxminddb = %{version}-%{release}

%description devel
The package contains development header files for the libmaxminddb library
and the mmdblookup utility which provides the ability to lookup IP addresses in a MaxMind DB file.

%prep
%autosetup
sed -i -e '\|AM_CFLAGS=|d' common.mk
sed -i -e '\|CFLAGS=|d' configure.ac

%build
autoreconf -fiv
%configure --disable-static
%make_build

%check
# tests are linked dynamically, preload the library as we have removed RPATH
export LD_PRELOAD=%{buildroot}%{_libdir}/libmaxminddb.so 
make check

%install
%make_install
rm -v %{buildroot}%{_libdir}/*.la

%files
%license LICENSE
%{_libdir}/libmaxminddb.so.0*
%{_bindir}/mmdblookup
%{_mandir}/man1/*.1*

%files devel
%license NOTICE
%doc Changes.md
%{_includedir}/maxminddb.h
%{_includedir}/maxminddb_config*.h
%{_libdir}/libmaxminddb.so
%{_libdir}/pkgconfig/libmaxminddb.pc
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-1
- package init.
